Not able to start service with MONGODB 7.0.5 on Rcoky linux 9

When trying to start the mongo DB service on Rocky Linux 9 getting below error-
error while loading shared libraries: libcrypto.so.10: cannot open shared object file: No such file or directory

Seems this lib is provided with compat-openssl10-1.0.2o-4.el8_6.x86_64.rpm but this package doesn’t come with Rocky Linux 9, is there any workaround or dependent package in Rocky Linux 9 available to get the service started?